
tp_endereco(Logradouro, Bairro, Cidade, CEP, Numero, Complemento)
tp_telefones(Telefone)
tp_especialidade(Especialidade)

SELECT REF(T) FROM tb_titular T WHERE T.IdPessoa = "ID"
SELECT DEREF(D.Titular) FROM tb_dependente D WHERE D.IdPessoa = "ID";
SELECT * FROM tb_dependente D WHERE D.Titular IS NOT DANGLING AND DEREF(D.Titular).IdPessoa = "ID";

INSERT INTO tb_titular(IdPessoa, CPF, RG, Nome, Sexo, DataNascimento, Endereco, Telefones, CodPlano, EstadoCivil, TipoSanguineo, ValorPlano)
VALUES ();

INSERT INTO tb_dependente(IdPessoa, CPF, RG, Nome, Sexo, DataNascimento, Endereco, Telefone, CodPlano, EstadoCivil, TipoSanguineo, Parentesco, Titular)
VALUES ();

INSERT INTO tb_medico(IdPessoa, CPF, RG, Nome, Sexo, DataNascimento, tp_endereco(), tp_telefone(), CRM, tp_especialidade())
VALUES();

--INSERTS

--Titular
INSERT INTO tb_titular(IdPessoa, CPF, RG, Nome, Sexo, DataNascimento, Endereco, Telefones, CodPlano, EstadoCivil, TipoSanguineo, ValorPlano)
VALUES(00001, 00901874906, 9016034, 'Bruno Henrique Harada Carvalho', 'M', '13/05/1989', tp_endereco('Dom Jose Lopez', 'Boa Viagem', 'Recife', 51021370, 955, 1402), tp_telefones(8133245678, 8133245679), 00001, 'solteiro', 'A+', 402.55);
INSERT INTO tb_titular(IdPessoa, CPF, RG, Nome, Sexo, DataNascimento, Endereco, Telefones, CodPlano, EstadoCivil, TipoSanguineo, ValorPlano)
VALUES(00004, 08932764802, 9758452, 'Elaine Cristina', 'F', '20/11/1977', tp_endereco('Joo de Barros','Espinheiro','Recife',50423311,57,904), tp_telefones(8133283874, 8133283866), 00001,'casado','A-', 402.55);
INSERT INTO tb_titular(IdPessoa, CPF, RG, Nome, Sexo, DataNascimento, Endereco, Telefones, CodPlano, EstadoCivil, TipoSanguineo, ValorPlano)
VALUES(00002, 00945683409, 9837261, 'Joao da Silva', 'M', '25/07/1957', tp_endereco('Real da Torre','Torre','Recife',50400000,8787,NULL), tp_telefones(8135473930, 8135473932), 00001, 'casado','AB+', 355);
INSERT INTO tb_titular(IdPessoa, CPF, RG, Nome, Sexo, DataNascimento, Endereco, Telefones, CodPlano, EstadoCivil, TipoSanguineo, ValorPlano)
VALUES(00003, 00938293808, 8489939, 'Sebastiana de Oliveira', 'F', '01/01/1929', tp_endereco('Rua Benfica','Madalena','Recife',50720000,2000,801), tp_telefones(8134857689, 8134857688), 00002, 'casado','O+', 273);
INSERT INTO tb_titular(IdPessoa, CPF, RG, Nome, Sexo, DataNascimento, Endereco, Telefones, CodPlano, EstadoCivil, TipoSanguineo, ValorPlano)
VALUES(00005, 00894875812, 9182849, 'Luiz Carlos','M','15/08/1969', tp_endereco('Padr Anchieta','Torre','Recife',50410720,81,1001), tp_telefones(8139283748, 8139283747), 00002, 'casado','A+', 355);
INSERT INTO tb_titular(IdPessoa, CPF, RG, Nome, Sexo, DataNascimento, Endereco, Telefones, CodPlano, EstadoCivil, TipoSanguineo, ValorPlano)
VALUES(00006, 09384789314, 8957843, 'Anna Carolina','F', '07/12/1983', tp_endereco('Av. Norte','Espinheiro','Recife',51432022,4232,201), tp_telefones(8133637394, 8133637395), 00003, 'solteiro','B-', 273);
INSERT INTO tb_titular(IdPessoa, CPF, RG, Nome, Sexo, DataNascimento, Endereco, Telefones, CodPlano, EstadoCivil, TipoSanguineo, ValorPlano)
VALUES(00007, 07859384755, 9284745, 'Edipo Bernardo','M','17/03/1953', tp_endereco('Av. Eng. Domingos Ferreira','Boa Viagem','Recife',50568343,1,1502), tp_telefones(8131827484, 8131827485), 00001, 'casado','B+', 355);
INSERT INTO tb_titular(IdPessoa, CPF, RG, Nome, Sexo, DataNascimento, Endereco, Telefones, CodPlano, EstadoCivil, TipoSanguineo, ValorPlano)
VALUES(00008, 06935127852, 7898421, 'Patricia Melo e Silva','F','14/02/1962', tp_endereco('Rua Real da Torre','Madalena','Recife',50423325,169,1364), tp_telefones(8133445566, 8133445567), 00002, 'solteiro','O+', 355);


--Dependente
INSERT INTO tb_dependente(IdPessoa, CPF, RG, Nome, Sexo, DataNascimento, Endereco, Telefones, CodPlano, EstadoCivil, TipoSanguineo, Parentesco, ref_titular)
SELECT 00056, NULL, NULL, 'Gabriel de Oliveira', 'M', '15/09/1997', tp_endereco('Joao de Barros', 'Espinheiro','Recife',50423311,57,904), tp_telefones(8133283874, 8133283873), 00001, 'solteiro', 'A+', 'filho', REF(T) FROM tb_titular T WHERE IdPessoa = 4;
INSERT INTO tb_dependente(IdPessoa, CPF, RG, Nome, Sexo, DataNascimento, Endereco, Telefones, CodPlano, EstadoCivil, TipoSanguineo, Parentesco, ref_titular)
SELECT 00055, 08947578405, 9234434,'Jose Armando','M','17/10/1975', tp_endereco('Joao de Barros', 'Espinheiro','Recife',50423311,57,904), tp_telefones(8133283874, 8133283873), 00001, 'casado','AB-', 'conjuge', REF(T) FROM tb_titular T WHERE IdPessoa = 4;
INSERT INTO tb_dependente(IdPessoa, CPF, RG, Nome, Sexo, DataNascimento, Endereco, Telefones, CodPlano, EstadoCivil, TipoSanguineo, Parentesco, ref_titular)
SELECT 00054, 07929837583, 9847576,'Rafaela Bezerro','F','19/11/1975', tp_endereco('Padr Anchieta','Torre','Recife',50410720,81,1001), tp_telefones(8139283748, 8139283746), 00002, 'casado','A+', 'conjuge', REF(T) FROM tb_titular T WHERE IdPessoa = 5;
INSERT INTO tb_dependente(IdPessoa, CPF, RG, Nome, Sexo, DataNascimento, Endereco, Telefones, CodPlano, EstadoCivil, TipoSanguineo, Parentesco, ref_titular)
SELECT 00053, 09847589493, 9748576,'Manuela da Silva','F','14/02/1977', tp_endereco('Manoel de Carvalho','Aflitos','Recife',22323343,100,601), tp_telefones(8133258756, 8133258752), 00001, 'solteiro','AB-', 'irma', REF(T) FROM tb_titular T WHERE IdPessoa = 2;
INSERT INTO tb_dependente(IdPessoa, CPF, RG, Nome, Sexo, DataNascimento, Endereco, Telefones, CodPlano, EstadoCivil, TipoSanguineo, Parentesco, ref_titular)
SELECT 00052, 09238748923, 9384758,'Maria Critina','F','17/06/1950', tp_endereco('Av. Eng. Domingos Ferreira','Boa Viagem','Recife',50568343,1,1502), tp_telefones(8131827484, 8131827482), 00002, 'casado','B-', 'mae', REF(T) FROM tb_titular T WHERE IdPessoa = 7;


--Medico
INSERT INTO tb_medico(IdPessoa, CPF, RG, Nome, Sexo, DataNascimento, Endereco, Telefones, CRM, Especialidades)
VALUES(00023, 07515932621, 2035145, 'Mario Frederico Pimenta', 'M', '05/04/1956', tp_endereco('Rua da Hora', 'Espinheiro', 'Recife', 52020010, 1063, 404), tp_telefones(8134566543, 8134566542), 151473, tp_listaespecialidade(tp_especialidade('Cardiologia'), tp_especialidade('Cirurgia Cardio Vascular')));
INSERT INTO tb_medico(IdPessoa, CPF, RG, Nome, Sexo, DataNascimento, Endereco, Telefones, CRM, Especialidades)
VALUES(00024, 02315369844, 4848610, 'Joao Augusto da Silva Soares', 'M', '15/06/1968', tp_endereco('Rua Silvino Lopes','Casa Forte','Recife',52061490,4631,1102), tp_telefones(8132144325, 8132144326), 215813, tp_listaespecialidade(tp_especialidade('Ginecologia'), tp_especialidade('Obstetricia')));
INSERT INTO tb_medico(IdPessoa, CPF, RG, Nome, Sexo, DataNascimento, Endereco, Telefones, CRM, Especialidades)
VALUES(00025, 62578412957, 2034545, 'Ana Cristina Freire', 'F', '22/08/1975', tp_endereco('Rua dos Navegantes','Boa Viagem','Recife',52368931,598,103), tp_telefones(8134587854, 8134587855), 445285, tp_listaespecialidade(tp_especialidade('Pediatria')));
INSERT INTO tb_medico(IdPessoa, CPF, RG, Nome, Sexo, DataNascimento, Endereco, Telefones, CRM, Especialidades)
VALUES(00026, 18549759692, 1027745, 'Rodrigo Ferreira Cardoso', 'M', '20/11/1971', tp_endereco('Av. Gov. Carlos de Lima Cavalcante','Casa Caiada','Olinda',50258149,5397,904), tp_telefones(8139857483,8139857482), 145133, tp_listaespecialidade(tp_especialidade('Neurologia'), tp_especialidade('NeuroCirurgia'), tp_especialidade('NeuroMetria')));
INSERT INTO tb_medico(IdPessoa, CPF, RG, Nome, Sexo, DataNascimento, Endereco, Telefones, CRM, Especialidades)
VALUES(00027, 35484625661, 4315355, 'Roberta de Almeida Araujo', 'F', '19/01/1980', tp_endereco('Rua Real da Torre','Madalena','Recife',50423325,169,1364), tp_telefones(8137465745,8137465746), 566510, tp_listaespecialidade(tp_especialidade('Pneumologia')));
INSERT INTO tb_medico(IdPessoa, CPF, RG, Nome, Sexo, DataNascimento, Endereco, Telefones, CRM, Especialidades)
VALUES(00028, 78469541965, 7898421, 'Patricia Melo e Silva', 'F', '14/02/1962', tp_endereco('Rua Real da Torre','Madalena','Recife',50423325,169,1364), tp_telefones(8133445566, 8133445567), 564600, tp_listaespecialidade(tp_especialidade('Ortopedia')));
INSERT INTO tb_medico(IdPessoa, CPF, RG, Nome, Sexo, DataNascimento, Endereco, Telefones, CRM, Especialidades)
VALUES(00029, 14536457836, 8421424, 'Jose Nogueira de Lima Filho', 'M', '25/07/1967', tp_endereco('Av. Eng. Domingos Ferreira','Boa Viagem','Recife',53436011,697,432), tp_telefones(8132378475,8132378477), 787912, tp_listaespecialidade(tp_especialidade('Dermatologia')));
INSERT INTO tb_medico(IdPessoa, CPF, RG, Nome, Sexo, DataNascimento, Endereco, Telefones, CRM, Especialidades)
VALUES(00030, 42564658585, 3546416, 'Beatriz Bueno Arturi', 'F', '13/09/1951', tp_endereco('Av. Bernardo Vieira de Melo','Candeias','Jaboatao dos Guararapes',54433121,259,6954), tp_telefones(8137648586, 8137648588), 445262, tp_listaespecialidade(tp_especialidade('Citopatologia')));

--Estabelecimeto
INSERT INTO tb_estabelecimento(CodEstabelecimento, Nome, Tipo, Endereco, Telefones)
VALUES(00001, 'Hospital Portugues', 'Hospital', tp_endereco('Av. Gov. Agamenon Magalhaes','Ilha do Leite','Recife',52198600,5484,NULL), tp_telefones(8132374866, 8132374868));
INSERT INTO tb_estabelecimento(CodEstabelecimento, Nome, Tipo, Endereco, Telefones)
VALUES(00002, 'Clinical Center', 'Clinica', tp_endereco('Av. Eng. Domingos Ferreira','Pina','Recife',53465010,1063,1001), tp_telefones(8134458569, 8134458566));
INSERT INTO tb_estabelecimento(CodEstabelecimento, Nome, Tipo, Endereco, Telefones)
VALUES(00003, 'Lucilo Avila Jr', 'Laboratorio', tp_endereco('Av. Conselheiro Aguiar','Boa Viagem','Recife',53654168,3964,364), tp_telefones(8132875324, 8132875322));
INSERT INTO tb_estabelecimento(CodEstabelecimento, Nome, Tipo, Endereco, Telefones)
VALUES(00004, 'Esperanca', 'Hospital', tp_endereco('Rua Antonio Gomes de Freitas','Ilha do Leite','Recife',52191588,1253,NULL), tp_telefones(8134698578, 8134698579));
INSERT INTO tb_estabelecimento(CodEstabelecimento, Nome, Tipo, Endereco, Telefones)
VALUES(00005, 'Santa Joana', 'Hospital', tp_endereco('Rua Joaquim Nabuco','Espinheiro','Recife',52056116,2456,NULL), tp_telefones(8134417273, 8134417274));
INSERT INTO tb_estabelecimento(CodEstabelecimento, Nome, Tipo, Endereco, Telefones)
VALUES(00006, 'Cerpe', 'Laboratorio', tp_endereco('Av. Bernardo Vieira de Melo','Piedade','Jaboatao dos Guararapes',54682893,4569,781), tp_telefones(8133544866,8133544868));
INSERT INTO tb_estabelecimento(CodEstabelecimento, Nome, Tipo, Endereco, Telefones)
VALUES(00007, 'Medial Center', 'Clinica', tp_endereco('Av. Bernardo Vieira de Melo','Piedade','Jaboatao dos Guararapes',54895696,2453,965), tp_telefones(8130612529,8130612528));




